## Installation

Add this line to your application's Gemfile:

```ruby
gem 'log_analysis'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install log_analysis

## Usage

### In rails app
```ruby
a = LogAnalysis.new('access.log')

# set string to filter uri
a.match_uri = /substring/

# optional | set confidence
a.conf = 0.5

# optional | set support
a.sup = 60

a.intepretation
```

### In console
cd this folder then:
```
rm log_analysis-0.1.5.gem
gem build log_analysis.gemspec
gem install log_analysis
pry
require 'log_analysis'

// then follow `In rails app` above
```

cd to `'/data/log_analysis'` to get result files
