require_relative 'lib/log_analysis/version'

Gem::Specification.new do |spec|
  spec.name          = "log_analysis"
  spec.version       = LogAnalysis::VERSION
  spec.authors       = ["Michael Tran"]
  spec.email         = ["mictran205@gmail.com"]

  spec.summary       = 'Log Analysis for thesis Huflit'
  spec.description   = 'Preprocess step of web mining'
  spec.homepage      = 'https://github.com/michaelt0520/log_analysis_thesis'
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/michaelt0520/log_analysis_thesis"

  spec.add_dependency "useragent", "~> 0.16.10"
  spec.add_dependency "activesupport", "~> 6.0.3.1"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
